<?php

require_once("../hostfact_api.php");

$api = new HostFactAPI();

// first get the dns zone
$domainParams = array(
    'Domain'	=> 'dnsexample',
    'Tld'		=> 'com'
);

$response = $api->sendRequest('domain', 'getdnszone', $domainParams);
$dns_zone = $response['domain']['dns_zone'];

/* examples of editing the dns zone */

// delete a record:
// unset($dns_zone['records'][KEY]);

// edit a record:
// $dns_zone['records'][KEY]['value'] = '127.0.0.7';

// add a record:
//$dns_zone['records'][] = array( 'name' => 'subdomein', 'type' => 'A', 'value' => '127.0.0.1', 'priority' => '', 'ttl' => 3600 );

// call the editdnszone function with the adjusted dns_zone array parameter
$domainParams = array(
				'Domain'	=> 'dnsexample',
				'Tld'		=> 'com',
                'DNSZone'   => $dns_zone
);

$response = $api->sendRequest('domain', 'editdnszone', $domainParams);

print_r_pre($response);

?>